VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PlugInterfaceSupport Class Reference
Common Hosting SDK Implementation Helper Classes

Example implementation of IPlugInterfaceSupport. More...

`#include <pluginterfacesupport.h>`

Inheritance diagram for PlugInterfaceSupport:

## Public Member Functions
| PlugInterfaceSupport ()
virtual | ~PlugInterfaceSupport ()=default
tresult | isPlugInterfaceSupported (const TUID _iid) SMTG_OVERRIDE
void | addPlugInterfaceSupported (const TUID _iid)
bool | removePlugInterfaceSupported (const TUID _iid)
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Additional Inherited Members
Static Public Attributes inherited from IPlugInterfaceSupport
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Example implementation of IPlugInterfaceSupport.

## Constructor & Destructor Documentation

## ◆ PlugInterfaceSupport()

PlugInterfaceSupport | ( |  | ) |

## ◆ ~PlugInterfaceSupport()

virtual ~PlugInterfaceSupport | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ isPlugInterfaceSupported()

tresult isPlugInterfaceSupported | ( | const TUID | _iid | ) |
| virtual

Implements IPlugInterfaceSupport.

## ◆ addPlugInterfaceSupported()

void addPlugInterfaceSupported | ( | const TUID | _iid | ) |

## ◆ removePlugInterfaceSupported()

bool removePlugInterfaceSupported | ( | const TUID | _iid | ) |

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.